# ThreadsafePacketLogger Class Reference
[PacketLogger]

Same as PacketLogger, but writes output in the user thread. More...

`#include <ThreadsafePacketLogger.h>`

Inheritance diagram for ThreadsafePacketLogger:

List of all members.

## Public Member Functions
virtual void | Update (void)
| Update is called every time a packet is checked for .

## Detailed Description

Same as PacketLogger, but writes output in the user thread.

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/Source/ThreadsafePacketLogger.h